package games

type Game struct {
	// The ID that identifies the category or game.
	ID string `json:"id"`

	// The category’s or game’s name.
	Name string `json:"name"`

	// A URL to the category’s or game’s box art. You must replace the {width}x{height} placeholder with the size of image you want.
	BoxArtURL string `json:"box_art_url"`

	// The ID that IGDB uses to identify this game. If the IGDB ID is not available to Twitch, this field is set to an empty string.
	IGDBID string `json:"igdb_id"`
}
